var error_array = new Array();
function err_type(eropt,erarray,erwidth){
var erint = getParameter("Error");
var elen = erarray.length;
if (erint!=null&&erint>=0&&erint<elen){
	if (eropt){
		document.write(erarray[erint]);
	}else{
		document.write("<table width=\""+erwidth+"\" height=\"40\" border=\"0\" align=\"center\" cellpadding=\"3\" cellspacing=\"1\" bgcolor=\"#DB0000\"><tr><td bgcolor=\"#FFFFDD\">"+erarray[erint]+"</td></tr></table>");
	}
}
}
function getParameter(param)
{
   var re = new RegExp(param+"=([^\\&]+)","i");
   var m;
   if (m = window.location.search.substr(1).match(re))
   {
      return unescape(m[1]);
   }
   return null;
}

//函数名称: oconfirm 判断确认跳转函数
//参数说明: altmsg 提示内容
//			gotourl 跳转的地址
//			calltourl 取消的地址
function oconfirmshow(altmsg, gotourl, calltourl){
	if (confirm(altmsg)){
		location.href = gotourl;
	}else{
		location.href = calltourl;
	}
}

//函数名称: 全选反选
//参数说明: objName 表单名
function SelectAllCheckBox(objName)
{
	var coll=document.all.item(objName)
	if(!coll) return;
	if(coll.length){
		for(var i=0;i<coll.length;i++)
		{
			coll.item(i).checked=!coll.item(i).checked;
		}
	}else{
		document.all.item(objName).checked=!document.all.item(objName).checked;
	}
}

//函数名称: 返回选中
//参数说明: objName 表单
function GetCheckBoxList(objName)
{
	var result = "";
	var coll=document.all.item(objName)
	if(!coll) return result;
	if(coll.length){
		for(var i=0;i<coll.length;i++)
		{
			if(coll.item(i).checked)
			{
				result += (result == "")?coll.item(i).value:("," + coll.item(i).value);
			}
		}
	}else{
		if(document.all.item(objName).checked)
		{
			result = document.all.item(objName).value;
		}
	}
	return result;
}

//函数名称: 提示带值连接
function confirmvaluelink(IdList, altinfo, urlinfo)
{
    if(IdList == "") return false;
    if(confirm(altinfo))
    {
        self.location.href = urlinfo + IdList;
    }else{
        return false;
    }
}